package dummy

import (
	"time"

	"gitea.ceperka.net/rosti/incus-sentinel/incus"
)

type DummyDriver struct{}

func NewDummyDriver() *DummyDriver {
	return &DummyDriver{}
}

func (d *DummyDriver) GetInstances(target string) ([]incus.Instance, error) {
	instances := []incus.Instance{
		{
			Name: "test0",
			Config: map[string]string{
				"sync":                        "true",
				"sync-schedule":               "* * * * *",
				"sync-target-remote":          "racker1",
				"sync-target-pool":            "pool0",
				"sync-target-instance-suffix": "-cold",
			},
		},
	}
	return instances, nil
}
func (d *DummyDriver) Sync(sourceInstance string, targetInstance string, targetHost string, targetPool string) error {
	time.Sleep(5 * time.Second)
	return nil
}
func (d *DummyDriver) Backup(instance string, tags []string) error {
	time.Sleep(5 * time.Second)
	return nil
}
